#
# spec file for package {{ packname }}
# This file is (mostly) auto-generated using information
# in the package source, esp. Description and Summary.
# Improvements in that area should be discussed with upstream.
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global packname  {{ packname }}
%global rlibdir   %{_libdir}/R/library

Name:           R-%{packname}
Version:        {{version}}
Release:        0
Summary:        {{summary}}
License:        {{license}}
Group:		Development/Libraries/Other
URL:            http://cran.r-project.org/web/packages/%{packname}
Source:         {{source0}}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       R-base
{% if depends != "" %}Requires:       {{depends}} {% endif %}
{% if imports != "" %}Requires:       {{imports}} {% endif %}
{% if linkingto != "" %}Requires:       {{linkingto}} {% endif %}
{% if suggests != "" %}# Package suggestions
Recommends:    {{suggests}} {% endif %}
BuildRequires:  texinfo
%if 0%{?sle_version} > 120400 || 0%{?is_opensuse}
BuildRequires:  tex(inconsolata.sty)
# Three others commonly needed
BuildRequires:  tex(ae.sty)
BuildRequires:  tex(fancyvrb.sty)
BuildRequires:  tex(natbib.sty)
%else
BuildRequires:  texlive
%endif
BuildRequires:  fdupes
BuildRequires:  R-base-devel
{% if dependsbuild != "" %}BuildRequires:  {{dependsbuild}} {% endif %}
{% if importsbuild != "" %}BuildRequires:  {{importsbuild}} {% endif %}
{% if linkingtobuild != "" %}BuildRequires:  {{linkingtobuild}} {% endif %}
{% if needscompilation == "yes" %}BuildRequires:       gcc gcc-c++ gcc-fortran {% endif %}
{% if (no_check == False) %}
{% if suggests != ""%}# Package suggestions, not required to build, but for packaging checks
BuildRequires:  {{suggests}} {% endif%}
{% endif%}

%description
{{description}}

%prep
%setup -q -c -n %{packname}
{% if needscompilation == "yes" %}find %{packname}/src \( -name '*.a' -or -name '*.o' -or -name '*.so' -or -name '*.lo' -or -name '*.la' \) -print -delete{% endif %}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
{% if needscompilation == "yes" %}find %{packname}/src \( -name '*.a' -or -name '*.o' -or -name '*.so' -or -name '*.lo' -or -name '*.la' \) -delete{% endif %}
rm -f %{buildroot}%{rlibdir}/R.css
%fdupes %{buildroot}%{rlibdir}/%{packname}

{% if (no_check == False) %}
%check
export LANG=en_US.UTF-8
export _R_CHECK_FORCE_SUGGESTS_=false
%{_bindir}/R CMD check %{packname}

{% endif %}
%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS*
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
{% if needscompilation == "yes" %}%{rlibdir}/%{packname}/libs{% endif %}
%{rlibdir}/%{packname}/help

%changelog
